@import "variables";

nz-card {
  max-width: 250px;
  border-radius: 8px;
  overflow: hidden;
  cursor: pointer;
  transition: all .5s;
  transform-origin: center center;

  .ryax-card-content {
    display: flex;
    align-items: center;
    width: 100%;
  }

  .ryax-card-text {
    max-width: calc(100% - 44px);
  }

  .ryax-card-title {
    font-size: 1.125rem;
    line-height: 1;
    max-height: 54px;
    overflow: hidden;
    font-weight: bold;
    margin: 0;
    display: inline-block;
  }

  .ryax-card-description {
    font-size: 0.8125rem;
    color: $grey7;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    margin: 0;
    transition: all .5s;
  }

  .ryax-action-icon {
    background: white;
    flex-shrink: 0;
    box-shadow: inset 0 0 5px $grey4;
    margin-right: 8px;
    width: 36px;
    display: flex;
    justify-content: center;
    overflow: hidden;

    img {
      height: 80px;
    }
  }

  &:hover {
    border-color: $primary4;
  }

  &.ryax-active {
    color: white;
    background-color: $primary4;
    border-color: $primary4;

    .ryax-card-description {
      color: white;
    }
  }
}
